org.apache.ignite.internal.commandline

## Class CommonArgParser

- java.lang.Object
- - org.apache.ignite.internal.commandline.CommonArgParser

    public class CommonArgParser
    extends Object

Common argument parser. Also would parse high-level command and delegate parsing for its argument to the command.

### Field Summary

Fields
`static String` `CMD_VERBOSE` Verbose mode.

### Constructor Summary

Constructors
Constructor and Description
`CommonArgParser(Logger logger)`

### Method Summary

All Methods Static Methods Concrete Methods
`static String[]` `getCommonOptions()` Creates list of common utility options.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CMD_VERBOSE

    public static final String CMD_VERBOSE

Verbose mode.

See Also:
  Constant Field Values

### Constructor Detail

#### CommonArgParser

    public CommonArgParser(Logger logger)

Parameters:
  `logger` - Logger.

### Method Detail

#### getCommonOptions

    public static String[] getCommonOptions()

Creates list of common utility options.

Returns:
  Array of common utility options.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020